Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.metal
Class MetalToolBarUI.MetalDockingListener

    java.lang.Object
      javax.swing.plaf.basic.BasicToolBarUI.DockingListener
          javax.swing.plaf.metal.MetalToolBarUI.MetalDockingListener

All Implemented Interfaces:
  MouseListener, MouseMotionListener, EventListener, MouseInputListener

Enclosing class:
  MetalToolBarUI

    protected class MetalToolBarUI.MetalDockingListener

extends BasicToolBarUI.DockingListener

Field Summary

Fields inherited from class javax.swing.plaf.basic.BasicToolBarUI.DockingListener
`isDragging, origin, toolBar`

Constructor Summary
`MetalToolBarUI.MetalDockingListener(JToolBar t)`

Method Summary
`void` | `mouseDragged(MouseEvent e)` Invoked when a mouse button is pressed on a component and then dragged.
`void` | `mousePressed(MouseEvent e)` Invoked when a mouse button has been pressed on a component.

Methods inherited from class javax.swing.plaf.basic.BasicToolBarUI.DockingListener
`mouseClicked, mouseEntered, mouseExited, mouseMoved, mouseReleased`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MetalToolBarUI.MetalDockingListener

    public MetalToolBarUI.MetalDockingListener(JToolBar t)

Method Detail

### mousePressed

    public void mousePressed(MouseEvent e)

  Description copied from interface: `MouseListener`
  Invoked when a mouse button has been pressed on a component.

  Specified by:
    `mousePressed` in interface `MouseListener`
  Overrides:
    `mousePressed` in class `BasicToolBarUI.DockingListener`

### mouseDragged

    public void mouseDragged(MouseEvent e)

  Description copied from interface: `MouseMotionListener`
  Invoked when a mouse button is pressed on a component and then dragged. `MOUSE_DRAGGED` events will continue to be delivered to the component where the drag originated until the mouse button is released (regardless of whether the mouse position is within the bounds of the component).

  Due to platform-dependent Drag&Drop implementations, `MOUSE_DRAGGED` events may not be delivered during a native Drag&Drop operation.

  Specified by:
    `mouseDragged` in interface `MouseMotionListener`
  Overrides:
    `mouseDragged` in class `BasicToolBarUI.DockingListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.